/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	Enemy.cpp
*摘要：		游戏主地图类
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-5  wstjb     基本的功能完成
***********************************************************************/

#include "Enemy.h"
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

extern  PAINTSTRUCT ps;
extern 	HDC hdc;
extern 	HBITMAP hbmp; 
extern 	HBITMAP hbmp2; 
extern 	BITMAP bmp;
extern 	HDC hdcMem;
extern 	HDC hdcTmp;
extern 	RECT rect;
extern 	HWND hwnd;
extern  int color;
extern  int flag;

extern int KeyReturn;
extern int KeyEsc;
extern int KeyHome;
extern int KeySpace;
extern int KeyLeft0;
extern int KeyUp0;
extern int KeyRight0;
extern int KeyDown0;

extern byte resByte[2731][16384];//存储lib资源
extern int resByteLen[2731];
extern int resPos[2731][6];//存储lib地址和编号 第六位为长度
extern int resCount;

int Enemy::PubInit(int idx)
{
	int resnum = GetResNum(RES_ARS,3,idx);
	if(resnum == -1)return -1;
	this->no = idx;//编号
	 //角色类型 编号 学会 免疫异常 产生异常 ff 姓名（6） 等级 身法 灵力 智商 幸运 持续  
	//hpmax(2) hp(2) mpmax（2） mp(2) 攻击（2） 防御（2） 带钱（2） 经验（2） 物品1 物品2 图片 魔法链
    learnmagic = resByte[resnum][2];//学会 
	anti = resByte[resnum][3];//免疫异常 
	atcause = resByte[resnum][4];//产生异常

	for(int i = 0 ;i<12;i++)
	{
		if(resByte[resnum][i+6] == 255)//20210629
		{
			break;
		}
		name[i]= resByte[resnum][i+6];
	}
	degree = resByte[resnum][18];
	speed = resByte[resnum][19];//3-身法，
	anima = resByte[resnum][20];//7-灵力，
	cleaver = resByte[resnum][21];//智商，
	lucky = resByte[resnum][22];//8-幸运，
	last = resByte[resnum][23];//持续

	hpMax = BytesToInt2(&resByte[resnum][24]);//23-生命上限，
	hp = BytesToInt2(&resByte[resnum][26]);//4-生命，
	mpMax = BytesToInt2(&resByte[resnum][28]);//24-真气上限
	mp = BytesToInt2(&resByte[resnum][30]);//5-真气

	att = BytesToInt2(&resByte[resnum][32]);//1-攻击力，
	def = BytesToInt2(&resByte[resnum][34]);//2-防御力，

	money = BytesToInt2(&resByte[resnum][36]);//带钱
	exp = BytesToInt2(&resByte[resnum][38]);//升级经验

	goods1type = resByte[resnum][40];
	goods1idx = resByte[resnum][41];
	goods1num = resByte[resnum][42];

	goods2type = resByte[resnum][43];
	goods2idx = resByte[resnum][44];
	goods2num = resByte[resnum][45];

	picno = resByte[resnum][46];
	magicLink = resByte[resnum][47];
	return 0;
}

/***********************************************************************
 * 说明:     Enemy类初始化函数
 * 输入参数: int num——用于设定君主等信息，由君主选择传值过来
 * 返回值  : 无
 * 功能	   : 初始化
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       完成基本功能
***********************************************************************/
void Enemy::Init()
{
}

/***********************************************************************
 * 说明:     Enemy类显示函数
 * 输入参数: WPARAM KeyCode——按键信息，用于控制地图移动与对应的显示
 * 返回值  : 无
 * 功能	   : 显示地图及相关界面
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       完成基本功能
***********************************************************************/
void Enemy::Show(WPARAM KeyCode)
{

}

/***********************************************************************
 * 说明:     Enemy类按键函数
 * 输入参数: WPARAM KeyCode——按键信息，用于确定当前的城市
 * 返回值  : 无
 * 功能	   : 处理当前类的按键信息
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-5       完成基本功能
 *			   wstjb			2012-10-20		增加功能
***********************************************************************/
int Enemy::KeyDown(WPARAM KeyCode)
{
	
	return 0;
}


